function Анимации(события)
{
    this.создать = function()
    {
        this.задано = {};
        this.анимации = {};
    };

    this.запустить = function(имя, элемент)
    {
        // Останавливаем прошлый экземпляр этой анимации.
        if (имя in this.анимации)
        {
            this.анимации[имя].остановить();
            delete this.анимации[имя];
        }
        // Запускаем новый экземпляр.
        this.анимации[имя] = new Анимация(элемент, this.задано[имя]);
    }

    this.обработатьКлюч = function(ключ, путь, значение)
    {
        if (путь[0] != "анимации")
        {
            return;
        }

        let имя = путь[1];
        let свойство = путь.slice(2).join(".");
        if (!this.задано[имя])
        {
            this.задано[имя] = {};
        }
        this.задано[имя][свойство] = значение;

        события.уведомить(`анимации/${имя}`);
    };

    // Конструктор.
    this.создать();
};
